Detected critical vulnerability in Apache Struts